﻿:root {
  --primary: #2b7fff;
  --primary-hover: #0d6dfc;
  --bg-body: #020618;
  --bg-containers: #172443;
  --bg-containers-light: #2a3859;
  --text-body: #eeeeee;
  --text-secondary: #b9b9b9;
}

.dataTables_wrapper
  table.dataTable.dtr-inline.collapsed
  > tbody
  > tr[role="row"]
  > td:first-child:before {
  content: "+";
}

/*.btn-brand {
    color: #fff;
    background-color: #F47845;
    border-color: #F47845;
    color: #ffffff;
}


ED3551*/

.kt-svg-icon g [fill] {
  fill: #f47845;
}

.btn-primary:hover {
  color: #fff;
  background-color: var(--primary-hover);
  border-color: var(--primary-hover);
}

.btn-primary {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
  color: #ffffff;
  transition: all 0.125s ease;
}

.btn-secondary {
  color: var(--text-secondary);
  transition: all 0.125s ease;
}

.kt-header {
  background-color: var(--primary);
  border-bottom: 1px solid var(--primary);
}

.kt-header__topbar {
  color: var(--text-body);
}

.kt-header
  .kt-header__topbar
  .kt-header__topbar-item.kt-header__topbar-item--user
  .kt-header__topbar-user
  .kt-header__topbar-welcome,
.kt-header
  .kt-header__topbar
  .kt-header__topbar-item.kt-header__topbar-item--user
  .kt-header__topbar-user
  .kt-header__topbar-username {
  color: var(--text-body);
}

.kt-header
  .kt-header-menu
  .kt-menu__nav
  > .kt-menu__item.kt-menu__item--here
  > .kt-menu__link
  .kt-menu__link-text,
.kt-header
  .kt-header-menu
  .kt-menu__nav
  > .kt-menu__item.kt-menu__item--active
  > .kt-menu__link
  .kt-menu__link-text,
.kt-header
  .kt-header-menu
  .kt-menu__nav
  > .kt-menu__item:hover
  > .kt-menu__link
  .kt-menu__link-text {
  color: var(--primary);
}

.kt-subheader .kt-subheader__main .kt-subheader__title {
  color: var(--text-body);
}

.kt-footer {
  padding: 1rem 0;
  background-color: var(--bg-containers);
}

.kt-footer .kt-footer__menu {
  align-items: center;
}

.btn-brand {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
  color: #ffffff;
  transition: all 0.3s ease;
}

.btn-brand:hover {
  color: #fff;
  background-color: var(--primary-hover);
  border-color: var(--primary-hover);
}

.btn-brand:focus,
.btn-brand.focus {
  box-shadow: 0 0 0 0.2rem rgba(117, 140, 255, 0.5);
}

.btn-brand.disabled,
.btn-brand:disabled {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary);
}

.btn-brand:not(:disabled):not(.disabled):active,
.btn-brand:not(:disabled):not(.disabled).active,
.show > .btn-brand.dropdown-toggle {
  color: #fff;
  background-color: var(--primary);
  border-color: var(--primary-hover);
}

.btn-brand:not(:disabled):not(.disabled):active:focus,
.btn-brand:not(:disabled):not(.disabled).active:focus,
.show > .btn-brand.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgba(117, 140, 255, 0.5);
}

.btn-brand + .btn.dropdown-toggle {
  position: relative;
}

.btn-brand + .btn.dropdown-toggle:before {
  display: block;
  content: " ";
  border-left: 1px solid #ffffff;
  position: absolute;
  top: 3px;
  left: -1px;
  bottom: 3px;
  opacity: 0.3;
}

.btn-brand + .btn.dropdown-toggle:hover:before,
.btn-brand + .btn.dropdown-toggle:focus:before,
.btn-brand + .btn.dropdown-toggle.active:before {
  display: none;
}

.kt-aside--fixed .kt-aside {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 98;
  background-color: #fff;
}

.kt-aside__brand {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
  padding: 0 25px;
  height: 65px;
  border-bottom: 1px solid #eff0f6;
}

#kt_footer
  > div
  > div.kt-footer__menu
  > a.kt-footer__menu-link.kt-link.simplemenulink {
  padding-top: 12px;
  margin-top: auto;
}

fieldset {
  border: 1px solid #c0c0c0;
  border-radius: 4px;
  padding: 10pt;
  margin-bottom: 2em;
}

legend {
  margin: 0 1em 0.5em 1em;
  padding: 0 0.5em;
  width: min-content;
  white-space: nowrap;
}

body {
  background-color: var(--bg-body);
  color: var(--text-body);
}

.kt-container,
.kt-container-fluid {
  background-color: var(--bg-containers) !important;
}

.kt-portlet {
  background-color: var(--bg-containers) !important;
}

.dataTables_wrapper .dataTable th,
.dataTables_wrapper .dataTable td {
  color: var(--text-body);
}

div.dataTables_wrapper div.dataTables_processing {
  color: var(--primary);
}

.dataTables_wrapper .dataTable,
.dataTables_wrapper .dataTable thead,
.dataTables_wrapper .dataTable tbody,
.dataTables_wrapper .dataTable tfoot,
.dataTables_wrapper .dataTable tr,
.dataTables_wrapper .dataTable td,
.dataTables_wrapper .dataTable th {
  border: none;
}

.dataTables_wrapper .dataTable tbody tr:nth-child(odd) {
  background-color: var(--bg-containers-light);
  border-radius: 6px;
}

.modal {
  background-color: #ffffff20;
}

.modal-content {
  background-color: var(--bg-containers);
  color: var(--text-body);
}

.modal .modal-content .modal-header .modal-title {
  color: var(--text-body);
}

.select2-container--default .select2-selection--multiple,
.form-control,
.select2-container--default .select2-selection--single {
  background-color: var(--bg-containers);
}

.btn.btn-outline-secondary {
  color: var(--text-secondary);
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered,
.select2-container--default
  .select2-selection--multiple
  .select2-selection__rendered {
  color: var(--text-body);
}

.select2-container--default .select2-search.select2-search--dropdown {
  background-color: var(--bg-containers-light);
}

.select2-container--default .select2-dropdown .select2-results__options {
  background-color: var(--bg-containers-light);
}
